%define major		4
%define libname		%mklibname dvdnav %{major}
%define develname	%mklibname dvdnav -d

Name:		libdvdnav
Summary:	DVD Navigation library
Version:	6.1.1
Release:	%mkrel 3
Group:		System/Libraries
License:	GPLv2+
URL:		http://dvdnav.mplayerhq.hu/
Source0:	https://download.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(dvdread) >= %{version}

%description
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n	%{libname}
Summary:	DVD Navigation library
Group:		System/Libraries

%description -n	%{libname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n	%{develname}
Summary:	DVD Navigation library headers and support files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

This package contains the C headers and support files for compiling
applications with libdvdnav.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_datadir}/doc/%{name}

%files -n %{libname}
%doc README
%{_libdir}/libdvdnav.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog TODO AUTHORS COPYING
%{_libdir}/libdvdnav.so
%{_includedir}/dvdnav/
%{_libdir}/pkgconfig/dvdnav.pc


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 6.1.1-3.mga10
+ Revision: 2195922
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 6.1.1-2.mga9
+ Revision: 1794102
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 luigiwalser <luigiwalser> 6.1.1-1.mga9
+ Revision: 1739613
- 6.1.1

* Wed Apr 22 2020 luigiwalser <luigiwalser> 6.1.0-2.mga8
+ Revision: 1571015
- rebuild for libdvdread

* Fri Apr 10 2020 luigiwalser <luigiwalser> 6.1.0-1.mga8
+ Revision: 1565938
- 6.1.0

* Tue Feb 18 2020 umeabot <umeabot> 6.0.1-2.mga8
+ Revision: 1538232
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 27 2019 daviddavid <daviddavid> 6.0.1-1.mga8
+ Revision: 1455986
- new version: 6.0.1

* Sun Sep 23 2018 umeabot <umeabot> 6.0.0-2.mga7
+ Revision: 1298814
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 daviddavid <daviddavid> 6.0.0-1.mga7
+ Revision: 1197757
- new version: 6.0.0

* Tue Feb 09 2016 umeabot <umeabot> 5.0.3-2.mga6
+ Revision: 952295
- Mageia 6 Mass Rebuild

* Fri Feb 13 2015 luigiwalser <luigiwalser> 5.0.3-1.mga5
+ Revision: 814847
- 5.0.3
- update source URL
- BR libdvdread 5.0.2
- remove upstreamed patches
+ cjw <cjw>
- 5.0.1
- patch1-3: upstream bugfixes (synced with fedora)

* Wed Oct 15 2014 umeabot <umeabot> 4.2.1-4.mga5
+ Revision: 739016
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.1-3.mga5
+ Revision: 681431
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 tv <tv> 4.2.1-2.mga5
+ Revision: 670698
- revert new library incompatible with mplayer

* Sun Aug 31 2014 daviddavid <daviddavid> 5.0.1-1.mga5
+ Revision: 670206
- new version: 5.0.1
  * sync with https://packages.debian.org/source/sid/libdvdnav
- disable static package
- remove dvdnav-config scripts (removed by upstream)
- remove dvdnavmini library (removed by upstream)
- switch BR to pkgconfig
- fix path for docdir install
- update file list

* Sun Dec 22 2013 luigiwalser <luigiwalser> 4.2.1-1.mga4
+ Revision: 559708
- 4.2.1
- update URLs
- remove upstreamed patch

* Sat Oct 19 2013 umeabot <umeabot> 4.2.0-6.mga4
+ Revision: 528779
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 wally <wally> 4.2.0-5.mga4
+ Revision: 447250
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 4.2.0-4.mga3
+ Revision: 357032
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 4.2.0-3.mga3
+ Revision: 328100
- disable undefined switch
- drop .la file

* Sat Feb 25 2012 anssi <anssi> 4.2.0-2.mga2
+ Revision: 214778
- restore C++ compatibility by not using 'this' as a parameter name
  (libdvdnav-c++-compatibility.patch, submitted upstream)

* Sun Nov 27 2011 tv <tv> 4.2.0-1.mga2
+ Revision: 172623
- new release

* Sat Jan 22 2011 ahmad <ahmad> 4.1.3-5.mga1
+ Revision: 31680
- drop old/unneeded scriptlets
- imported package libdvdnav


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 4.1.3-4mdv2011.0
+ Revision: 602539
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 4.1.3-3mdv2010.1
+ Revision: 520766
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.3-2mdv2010.0
+ Revision: 425534
- rebuild

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 4.1.3-1mdv2009.0
+ Revision: 283000
- version 4.1.3 final
- update source URL

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 4.1.3-0.r1132.1mdv2009.0
+ Revision: 278180
- new snapshot
- fix build
- update file list

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 4.1.2-3mdv2009.0
+ Revision: 264777
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 07 2008 Götz Waschk <waschk@mandriva.org> 4.1.2-2mdv2009.0
+ Revision: 202766
- fix header incompatibility with C++ (bug #40406)
- disable double build

* Mon Apr 21 2008 Götz Waschk <waschk@mandriva.org> 4.1.2-1mdv2009.0
+ Revision: 196230
- new version
- drop patch
- fix installation

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 4.1.1-0.956.2mdv2008.1
+ Revision: 103585
- add requires on libdvdread-devel into libdvdnav-devel

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 4.1.1-0.956.1mdv2008.1
+ Revision: 96551
- fix installation
- readd libdvdnav.so
- fix soname
- switch to mplayer fork of dvdnav
- update file list

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.10-6mdv2008.0
+ Revision: 76794
- new devel naming


* Thu Oct 26 2006 Götz Waschk <waschk@mandriva.org> 0.1.10-5mdv2007.0
+ Revision: 72723
- Import libdvdnav

* Thu Oct 26 2006 Götz Waschk <waschk@mandriva.org> 0.1.10-5mdv2007.1
- rebuild

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.1.10-4mdk
- Rebuild

* Mon Jan 31 2005 Götz Waschk <waschk@linux-mandrake.com> 0.1.10-3mdk
- multiarch support

* Sat Oct 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.10-2mdk
- Patch0 (CVS): fix crash with DVD without first play chain

* Sat Jun 12 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.10-1mdk
- major 4
- add new file
- add source URL
- New release 0.1.10

